org.apache.flume.instrumentation

## Interface MonitorService

- All Superinterfaces:
    Configurable
  All Known Implementing Classes:
    GangliaServer, HTTPMetricsServer

      public interface MonitorService
      extends Configurable

  Interface that any monitoring service should implement. If the monitor service is to be started up when Flume starts, it should implement this and the class name should be passed in during startup, with any additional context it requires.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `start()`
    `void` | `stop()`

    - ### Methods inherited from interface org.apache.flume.conf.Configurable

      `configure`

- - ### Method Detail

    - #### start

          void start()

    - #### stop

          void stop()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.